Bug report #216

spit plugin needs GEOS headers

Added by kyngchaos-kyngchaos-com - over 15 years ago. Updated over 15 years ago.

Status:Closed
Priority:Low
Assignee:Gary Sherman
Category:Build/Install
Affected QGIS version: Regression?:No
Operating System:OS X Easy fix?:No
Pull Request or Patch supplied: Resolution:fixed
Crashes QGIS or corrupts data: Copied to github as #:10275

Description

I have the various library dependencies isolated in separate folders. In building the spit plugin, it couldn't find geos.h. I added $(GEOS_CFLAGS) to spitplugin_la_CXXFLAGS in src/plugins/spit/makefile to get it to build.

History

#1 Updated by Gavin Macaulay - over 15 years ago

  • Resolution set to fixed
  • Status changed from Open to Closed

This is probably necessary when the geos includes are in a different directory to the gdal include files. Change applied in SVN 0c3951be (SVN r5655).

Also available in: Atom PDF